Skip to main content
GET
/
networks
/
channels
/
{channelId}
Get Channel
curl --request GET \
  --url https://api.eflow.team/v1/networks/channels/{channelId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_channel_id": 1,
  "network_id": 1,
  "name": "321312",
  "status": "active",
  "time_created": 1774712750,
  "time_saved": 1774712750,
  "relationship": {}
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

channelId
integer
required

The ID of the channel.

Response

200 - application/json

OK

A traffic channel in the network.

network_channel_id
integer

Unique channel ID.

network_id
integer

Network ID.

name
string

Channel name.

status
enum<string>

Channel status.

Available options:
active,
inactive
time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object

Related data.